#!/bin/sh

echo "S99z_cv_start.sh ... mit arg 1 $1"

start() {
	# Erst mal folgendes, damit system auch ohne automatische ausfuehrung von prtsoft.elf verwendbar:

	echo V >/dev/watchdog
	# echo "ACHTUNG! Watchdog wurde deaktiviert solange prtsoft diesen noch nicht regelmaessig triggert."

	/scripts/eeprom_bootcount_set.sh 0
	# echo "ACHTUNG! Setze eeprom_bootcount in etc/rc5.d/S99z_cv_start.sh auf 0 solange der prtsoft das noch nicht macht."

	# TODO spaeter obiges ersetzen durch start von prtsoft.elf im hintergrund, z.b.: /opt/prtsoft.elf

}

stop() {
	echo "S99z_cv_start stopping"
}

restart() {
	echo "restart not supported in S99z_cv_start.sh"
}


case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?

